# Section Types Section Types ## Gets all of the section types in the system. - [GET /sectionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/listsectiontypes.md): This method will scan all section types and and return them to the caller. ## Creates a new section type record that does not already exist. - [POST /sectionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/createsectiontype.md): This method will auto-generate an ID and create a new section type. If an ID is specified for the section type, an error will be thrown. ## Execute Batch Operations - [POST /sectionTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a section type from the system by its ID. - [DELETE /sectionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/deletesectiontype.md): This method will delete a section type with the specified ID. ## Returns a section type from the system by its ID. - [GET /sectionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/getsectiontype.md): This method will look up a section type by the specified ID and return it back. ## Partially updates a section type with the specified ID. - [PATCH /sectionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/patchsectiontype.md): This method will patch an existing section type with the specified ID, using the HTTP PATCH specification. ## Updates a section type with the specified ID. - [PUT /sectionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/updatesectiontype.md): This method will update an existing section type with the specified ID.